@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  border: none;
  outline: none;
  text-decoration: none;
  color: var(--df-text);
}
:root {
  --bg: #000000;
  --primary: #161cbb;
  --secoundary: #1c1c1c;
  --df-text: #fff;
  --sub-text: #ababab;
  --border: 1px solid #ffffff1b;
  --alert: #ff4545;
  --btn: linear-gradient(#161cbb, #1653bb);
}
[class*="grid"] {
  display: grid;
}
.align-center {
  align-items: center;
}
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
  scroll-padding-top: 8rem;
}
body {
  -webkit-text-size-adjust: 100%;
  background: var(--bg);
}
body .overlay {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -3rem;
  pointer-events: none;
  user-select: none;
  max-width: 130rem;
  width: 100%;
}
section {
  padding: 8rem 0;
}
p,
a,
input,
select,
textarea,
button {
  font-size: 1.6rem;
}
p {
  color: var(--sub-text);
  line-height: 1.8;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  text-transform: capitalize;
  line-height: 1.3;
  font-weight: 600;
  font-size: 2.5rem;
}
a {
  transition: 0.3s;
}
a:hover {
  color: var(--primary);
}
img,
video {
  max-width: 100%;
  user-select: none;
  pointer-events: none;
}
.container {
  max-width: 1240px;
  padding: 0 2rem;
  margin: auto;
  width: 100%;
}
button,
.btn {
  padding: 1.5rem 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  gap: 1rem;
  text-transform: capitalize;
  transition: 0.3s;
  border-radius: 1rem;
  position: relative;
  text-transform: capitalize;
  background: var(--btn);
  color: var(--df-text);
  font-weight: 500;
}
.btn {
  color: white !important;
}
button.empty {
  background: var(--secoundary);
  color: var(--sub-text);
}
button svg path {
  fill: var(--df-text) !important;
}
.buttons {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

header {
  height: 8rem;
  border-bottom: var(--border);
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background: transparent;
  z-index: 999;
  backdrop-filter: blur(20px);
}
.toogle-menu {
  display: none;
}
header .container,
header .links {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 3rem;
  height: 100%;
}
header .logo img {
  height: 6rem;
}
header .container {
  max-width: 100%;
  padding: 0 5rem;
}
/* hero section */
main {
  position: relative;
  height: 100%;
  min-height: 80rem;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  padding: 5rem 0;
  padding-top: 13rem;
}
main.auth .container {
  display: unset;
}
main video {
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: bottom;
  opacity: 0.3;
}
main .container {
  position: relative;
  z-index: 2;
}
main .container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 5rem;
  align-items: center;
}

.hero-img {
  position: absolute;
  width: 55%;
  right: -15rem;
  height: 90%;
  overflow: hidden;
  filter: drop-shadow(-60px 0 80px #1629bb55);
}
.hero-img img {
  max-width: 90rem;
  width: 100%;
  height: 100%;
  object-fit: contain;
}
main .content {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
main .content h1 {
  font-size: 5rem;
  background: linear-gradient(150deg, #ffffff 0%, #7e7e7e 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
main .content h1 span {
  background: var(--primary) !important;
  -webkit-background-clip: text !important;
  -webkit-text-fill-color: transparent !important;
}
.tag {
  padding: 0.5rem 1rem;
  font-size: 1.4rem;
  text-transform: uppercase;
  background: #ffffff07;
  backdrop-filter: blur(10px);
  width: fit-content;
  border-radius: 0.5rem;
  border: var(--border);
}
.grid-2 {
  grid-template-columns: repeat(2, 1fr);
  gap: 5rem;
}
.text-content {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.text-content h2 {
  font-size: 3.5rem;
  background: linear-gradient(150deg, #ffffff 0%, #7e7e7e 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.gap-10 {
  display: grid;
  gap: 10rem;
}
footer {
  background: unset;
  padding: 5rem 0;
  padding-bottom: 0;
  background: var(--secoundary);
}
footer .container {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  gap: 5rem;
}
footer .logo img {
  height: 7rem;
}
.link,
.contact {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.link h2,
.contact h2 {
  font-size: 2rem;
  color: var(--df-text);
}
.link a,
.contact a {
  font-weight: 500;
}
footer p {
  font-size: 1.5rem;
}
.link a,
.contact a,
footer p {
  color: var(--sub-text);
}
footer p {
  margin: 2rem 0;
}

footer .social {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.social i {
  font-size: 2.5rem;
  color: var(--df-text);
  transition: 0.3s;
}
.social i:hover {
  color: var(--primary);
}
.copy {
  padding: 2rem;
  text-align: center;
  color: white;
  background: var(--bg);
  margin-top: 5rem;
  font-size: 1.5rem;
}
.copy span {
  color: white;
}
/* progress */
/* hero section */
.header {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.title h1 {
  font-size: 2.7rem;
}
/* progress-bar */
.progress-tracker {
  display: flex;
  justify-content: space-between;
  text-align: center;
  margin-top: 3rem;
  padding-top: 1.5rem;
  background-position: top;
  background-size: 20px 1px;
  background-repeat: repeat-x;
  background-image: linear-gradient(90deg, #162d34 33%, #162d3400 0);
  margin-bottom: 5rem;
}

.progress-tracker,
.progress-tracker .step {
  position: relative;
}
.progress-tracker .step {
  width: 33%;
}
.step:before {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1/1;
  background: #e6e6e6;
  border-radius: 50%;
  left: 50%;
  transform: translateX(-50%);
  top: -2.4rem;
}

.step.active:before {
  width: 2rem;
  border: 1px solid var(--primary);
  background: #fff;
  box-shadow: 0 0 20px var(--primary);
}

.step.active:after {
  content: "";
  background: transparent;
  width: 1rem;
  aspect-ratio: 1/1;
  border-radius: 50%;
  left: 50%;
  top: -1.8rem;
  transform: translateX(-50%);
}

.step.active:after,
.progress-tracker .progress {
  position: absolute;
  background: var(--primary);
}

.progress-tracker .progress {
  width: 100%;
  height: 3px;
  width: var(--w);
  border-radius: 5rem;
  left: 0;
  top: -0.1rem;
  transition: width 0.3s ease-in-out;
}

.step p {
  font-size: 1.4rem;
  text-align: center;
}
form {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
form,
input {
  width: 100%;
}

input {
  background: none;
  padding: 2rem 2rem 1rem;
}

.fild {
  background: var(--secoundary);
  border-radius: 1rem;
  position: relative;
  border: var(--border);
}
.fild label {
  color: var(--sub-text);
  font-size: 1.6rem;
  left: 2rem;
  line-height: 1;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  transition: 0.3s;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  font-weight: 500;
}

.fild label span {
  color: var(--alert);
}

.fild input:-webkit-autofill ~ label,
.fild input:focus ~ label,
.fild input:not(:placeholder-shown) ~ label {
  color: var(--df-text);
  font-size: 1.3rem;
  top: 1rem;
}

.user-inputs {
  display: none;
  opacity: 0;
  transform: translateY(2rem);
}

.user-inputs.active {
  display: block;
  animation: fade 0.5s linear forwards;
}

@keyframes fade {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.grid-2 {
  grid-template-columns: repeat(2, 1fr);
  gap: 5rem;
  align-items: center;
}
/* custom checkbox */
.check-options {
  display: flex;
  align-items: center;
  gap: 8rem;
  row-gap: 1.5rem;
  flex-wrap: wrap;
}
.custom-check input[type="checkbox"] {
  display: none;
}
.custom-check {
  display: flex !important;
  align-items: center;
  gap: 1rem;
  cursor: pointer;
  margin-top: 1rem;
}
.custom-check a {
  color: var(--sub-text);
  text-decoration: underline;
}
.custom-check > div {
  width: 2rem;
  aspect-ratio: 1/1;
  border: var(--border);
  border-radius: 0.5rem;
  background: var(--secoundary);
}
.custom-check p {
  font-weight: 400;
  text-transform: capitalize;
}
.custom-check input[type="checkbox"]:checked ~ div {
  border: unset;
  position: relative;
  background: var(--primary);
}
.custom-check input[type="checkbox"]:checked ~ div::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  background: url(../images/check.png);
  width: 100%;
  height: 100%;
  background-size: cover;
}
form button {
  width: 100%;
}
form .buttons {
  margin-top: 3rem;
}
.card {
  padding: 3rem;
  background: var(--bg);
  border-radius: 2rem;
  border: var(--border);
  display: flex;
  flex-direction: column;
  gap: 3rem;
}
.card h2 {
  font-size: 2rem;
}
.card .list {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.card .list div {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 1rem;
  align-items: flex-start;
}
.list i {
  width: 2.5rem;
  aspect-ratio: 1/1;
  background: var(--btn);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  font-size: 2rem;
  overflow: hidden;
}
.step-main {
  display: none;
}
.step-main.active {
  display: block;
  animation: fade 0.3s linear forwards;
}
.buttons.row {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
}
.card .banner img {
  position: relative;
  z-index: 2;
  border-radius: 1rem;
  overflow: hidden;
}
.field-grid {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 0.5rem;
}
.card .logo img {
  height: 3rem;
  position: relative;
  z-index: 2;
}
.alert {
  position: absolute;
  left: 0;
  font-size: 1.4rem;
  color: var(--alert) !important;
  text-transform: capitalize;
  top: -2.5rem;
}
.custom-check {
  position: relative;
}
.custom-check .alert {
  top: unset;
  bottom: -2rem;
}
@media (max-width: 1024px) {
  html {
    font-size: 45%;
  }
}
@media (max-width: 660px) {
  html {
    font-size: 62%;
  }
  header .container {
    padding: 0 1.5rem;
  }
  header .links {
    position: fixed;
    flex-direction: column;
    height: calc(100vh - 8rem);
    left: 0;
    top: 8rem;
    justify-content: center;
    align-items: center;
    width: 100%;
    background: var(--bg);
    transform: translateX(-100%);
    transition: 0.3s;
  }
  header.active .links {
    transform: translateX(0);
  }
  .toogle-menu {
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    justify-content: space-around;
    align-items: flex-end;
    gap: 0.8rem;
    width: 3rem;
    height: 2.5rem;
    cursor: pointer;
  }
  .toogle-menu > span {
    width: 100%;
    height: 2px;
    border-radius: 1rem;
    background: var(--df-text);
  }
  .toogle-menu > span:first-child {
    width: 50%;
    margin-left: auto;
  }
  .toogle-menu > span:last-child {
    width: 80%;
    margin-left: auto;
  }
  .toogle-menu > span:first-child,
  .toogle-menu > span:last-child {
    margin-left: unset;
    transition: all 0.3s ease 0s;
  }
  header.active .toogle-menu span:first-child,
  header.active .toogle-menu span:last-child {
    width: 100%;
  }
  main {
    height: 100%;
    display: grid;
    grid-template-columns: 1fr;
    gap: 3rem;
    padding: 5rem 0;
    padding-top: 13rem;
  }
  main video {
    object-position: right;
  }
  main .content {
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  main .content p {
    font-size: 1.4rem;
  }
  .hero-img {
    position: static;
    width: 100%;
  }
  .grid-2 {
    grid-template-columns: 1fr;
  }
  main .content h1 {
    font-size: 3rem;
  }
  .text-content h2 {
    font-size: 2.5rem;
  }
  main .container {
    display: unset;
  }
  .hero-img {
    filter: drop-shadow(0 -50px 80px #1629bbd4);
  }
  body .overlay {
    top: 6rem;
    width: 100%;
    height: 20rem;
    object-fit: cover;
  }
  button {
    padding: 1.5rem 2rem;
    width: 100%;
  }
  .fix {
    grid-area: 1 / 1 / 2 / 2;
  }
  footer .container {
    grid-template-columns: 1fr;
  }
  .card {
    padding: 1.5rem;
  }
  .title {
    text-align: center;
  }
  .buttons.row {
    grid-template-columns: 1fr;
  }
}
a.btn {
  width: 100%;
}
.warning {
  background: #161cbb38;
  border-radius: 1rem;
  padding: 2rem;
  border: 1px solid var(--primary);
}
.warning p {
  font-size: 1.4rem;
  line-height: 1.5;
  color: white;
}
